LoadPackage("atlasrep");
LoadPackage("io");

LogTo("2C.log");

ct := CharacterTable("Fi24'.2");
l := [];

for x in [1..NrConjugacyClasses(ct)] do
  m := ClassMultiplicationCoefficient(ct, ct.2c, ct.2c, x);
  y := OrdersClassRepresentatives(ct)[x];
  if not m = 0 then
    if not y in l then 
      Add(l, y);
    fi;
  fi;
od;
Print("The product of two involutions of the class 2C order: ", l, "\n");

